throw 订阅
throw,英语词汇,基本释义为投掷、丢、抛。英 [θrəʊ] 美 [θroʊ] v.扔;投;掷;抛n.抛;投掷 名词: thrower 过去式: threw 过去分词:thrown 展开全文
throw,英语词汇,基本释义为投掷、丢、抛。英 [θrəʊ] 美 [θroʊ] v.扔;投;掷;抛n.抛;投掷 名词: thrower 过去式: threw 过去分词:thrown
信息
定    义
英语单词
类    型
及物动词等
过去式
threw
中文名
投掷;丢;抛
外文名
throw
throw释义
throw及物动词vt.vi.投掷;丢;抛n.投掷的距离;丢vt.掷(色子/骰子);抛;猛动(头、臂、腿);使处于,使限于 [1]  第三人称单数:throws。过去式:threw过去分词:thrown。现在分词:throwing。易混淆的单词:throw1. 投,掷,抛,扔[O1][(+at/to)]She threw me a towel.她丢给我一条毛巾。The boy threw a stone at the dog.那男孩对狗丢石头。He quickly threw the ball to another player.他迅速把球传给了另一名球员。2. 使突然陷入;把...投进[Q][(+into)]The news threw the family into a panic.这个消息使那一家人顿时陷入惊恐不安。3. 匆匆穿上(或脱下)[Q]She threw a scarf over her shoulders.她把披巾随手往肩上一披。4. 转动(机器开关)5. 发射;投射;喷射The trees threw long shadows in the moonlight.在月光下,树木投出了长长的影子。6. 伸(四肢);挺(胸);仰(首);挥(拳)猛击7. 掷(骰子);掷出(骰子点数)8. 摔倒;摔下He threw the guy to the ground.他把那个家伙摔倒在地。9. 【口】举行(宴会等)He threw a party for us.他为我们举行舞会。10. 【口】使困惑;难住Her last question threw me for a moment.她最后一个问题我一时回答不出。11. 使(嗓音)让人听起来似来自他处12. 【口】故意输掉(比赛等)13. 大发(脾气),使发作I can't fiqure out why she threw such tantrums.我弄不懂她为什么发如此大脾气。14. 施加(影响等)不及物动词vi.1. 投,掷,抛,扔The young athlete throws well.那个年轻运动员投掷得很好。名词 n. [C]1. 投掷2. 投距,射程My nephew lives only a stone's throw from my house.我侄子住得离我家很近。3. 投掷的结果;(骰子)掷出的点数4. 围巾,披巾;(沙发等的)罩单5. 【口】冒险That will be her last throw.那将是她最后的孤注一掷。
收起全文
精华内容
下载资源
问答
  • throw

    2019-09-26 19:46:26
    * A:throw的概述  * 在功能方法内部出现某种情况,程序不能继续运行,需要进行跳转时,就用throw把异常对象抛出。* B:案例演示  * 分别演示编译时异常对象和运行时异常对象的抛出* C:throws和throw的区别  * a:...

    * A:throw的概述
      * 在功能方法内部出现某种情况,程序不能继续运行,需要进行跳转时,就用throw把异常对象抛出。
    * B:案例演示
      * 分别演示编译时异常对象和运行时异常对象的抛出
    * C:throws和throw的区别
      * a:throws
        * 用在方法声明后面,跟的是异常类名
        * 可以跟多个异常类名,用逗号隔开
        * 表示抛出异常,由该方法的调用者来处理,最后由JVM处理
      * b:throw
        * 用在方法体内,跟的是异常对象名
        * 只能抛出一个异常对象名
        * 表示抛出异常,由方法体内的语句处理

     

    转载于:https://www.cnblogs.com/yaobiluo/p/11306409.html

    展开全文
  • throw; 还是throw e

    2019-10-06 19:32:41
    catch (Exception e) { throw; } 还是 catch (Exception e) { throw e; }throw;会保留原始的异常栈信息。这样方便调试很容易找到出错的行号throw e 会虽然异常信息都保留了,但是会修改异常堆栈信息,throw e那个行...
         如果捕获到一个异常,到底是如何重新抛出。
     catch (Exception e) { throw; } 还是 catch (Exception e) { throw e; }

    throw;会保留原始的异常栈信息。这样方便调试很容易找到出错的行号
    throw e 会虽然异常信息都保留了,但是会修改异常堆栈信息,throw e那个行就会成为出错的行.而不是你try里面调用的代码时候实际的出错行了。
    so,一般情况下重新抛出异常应该使用throw;.
    什么时候使用throw e呢?
    似乎只有在你想抛出一个新的异常才用。
    谁能说清楚,请指点下吧?

    转载于:https://www.cnblogs.com/xhan/archive/2009/07/29/1533816.html

    展开全文
  • c# throwthrow ex

    2018-09-25 08:29:00
    c# throwthrow ex 原文:c# throwthrow exc# throwthrow ex 我们在日常开发当中,经常会用到exception异常,并且我们会在exception中的catch块中throw exception,例如: static void M3() ...
    原文:c# throw和throw ex

    c# throw和throw ex

    我们在日常开发当中,经常会用到exception异常,并且我们会在exception中的catch块中throw exception,例如:

    static void M3()
    {
        try
        {
    	//你的业务代码
        }
        catch (Exception ex)
        {
    	throw ex;
        }
    }
    

     

    但是大家是否清楚在catch块中 throw和throw ex的区别呢?在一次电话面试中,面试官就问到这个问题了,当时没有答上来,

    事后经过测试才知道两者的区别,其实只要自己测试一下,就知道两者之间的区别了,测试代码:

     

    1.    throw ex 测试

    using System;
    namespace MuzizMH.Test
    {
        class Program
        {
            static void Main(string[] args)
            {
                M2();
            }
    
            static void M1()
            {
                throw new Exception("M1 Exception");
            }
    
            static void M2()
            {
                try
                {
                    M1();
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
        }
    }
    

     在main函数中明显会抛出异常,但是请注意异常信息:

    错误信息行号分别为:24和8

     

    2.    throw 测试

    错误信息行号分别为:13、24和8

     

    总结:相比上面的测试结果,测试2的结果多出了一个行号,也就是M1方法手动抛出的异常,在日常调试中,这个才是我们想要的结果,我们想要清楚的知道具体的错误代码行,以便准备无误的解决错误。

     

    欢迎任何形式的转载,但请务必注明出处。

    文案功底有限,码字不易,不喜勿喷,如果文章和代码有表述不当之处,还请不吝赐教。

     

    posted on 2018-09-25 08:29 NET未来之路 阅读(...) 评论(...) 编辑 收藏

    转载于:https://www.cnblogs.com/lonelyxmas/p/9697720.html

    展开全文
  • throw关键字

    2020-06-19 19:28:00
    throw关键字 作用: 可以使用throw关键字在指定的方法中抛出指定的异常 使用格式: throw new xxxException(“异常产生的原因”) 注意: 1、throw关键字必须写在方法的内部 2、throw关键字后边new的对象...

    throw关键字

      作用:
       可以使用throw关键字在指定的方法中抛出指定的异常
      使用格式:
       throw new xxxException(“异常产生的原因”)
     注意:
       1throw关键字必须写在方法的内部
       2throw关键字后边new的对象必须是Exception或者Exception的子类对象
       3throw关键字抛出指定的异常对象,我们就必须处理这个异常对象
        	throw关键字后边创建的是RumtimeException或者是RumtimeException的子类对象,我们可以不处理,默认交给JVM处理(打印异常对象,中断程序)
       	throw关键字后边创建的是编译异常(写代码的时候报错),我们就必须处理这个异常,要么throw,要么try...catch
    /*
      定义一个方法,获取数组指定索引处的元素
      参数:
       int[] arr
       int index
      以后(在工作中)我们首先必须对方法传递过来的参数进行合法性校验
      如果参数不合法,那么我们就必须使用抛出异常的方式,告知方法的调用者,传递的参数有问题。
      注意:
       NullPointerException是一个运行期异常,我们不用处理,默认交给JVM处理
       ArrayIndexOutOfBoundsException是一个运行期异常,我们不用处理,默认交给JVM处理
     */
    public static int getElement(int[] arr, int index) {
     	/*
    	   我们可以对传递过来的参数数组,进行合法性校验
    	   如果数组arr的值是null
    	   那么我们就抛出空指针异常,告知方法的调用者“传递的数组的值是null”
    	  */
    	 if(arr == null) {
     		 throw new NullPointerException("传递的数组的值是空!");
    	 }
    	 /*
    	   我们可以对传递过来的参数index进行合法性校验
    	   如果index的范围不在数组的索引范围内
    	   那么我们就抛出数组索引越界异常,告知方法的调用者“传递的索引超出了数组的适用范围”
    	  */
    	if(index < 0 || index > arr.length-1) {
    		throw new ArrayIndexOutOfBoundsException("传递的索引超出了数组的使用范围");
    	}
    	int ele = arr[index];
    	return ele;
    }
    展开全文
  • throwthrow ex

    2015-09-29 21:02:43
    之前,在使用异常捕获语句try...catch...throw语句时,一直没太留意几种用法的区别,前几天调试程序时无意中了解到几种使用方法是有区别的,网上一查,还真是,主要是区别在堆栈信息的起始点不同。总结如下: ...
  • Throw和Throws的区别

    万次阅读 多人点赞 2019-02-22 16:16:45
    Throw: 作用在方法内,表示抛出具体异常,由方法体内的语句处理。 具体向外抛出的动作,所以它抛出的是一个异常实体类。若执行了Throw一定是抛出了某种异常。 Throws: 作用在方法的声明上,表示如果抛出异常,...
  • throw用法

    千次阅读 2018-09-10 14:12:46
    throw 用法 分类 :C++ throw 后面跟一个表达式,catch的时候对应这个表达式类型的引用。 int Func() { throw “this is an error!”; } int main() { try{ Func(); } catch(char* szError) { cout &...
  • throw的一些用法

    2021-01-21 19:02:55
    无论是.net还是java,在开发程序时都难免会用到throw关键字,对于初学者一般会认为它与try…catch捆绑在一起,这当然是错误的,事实上,throw的一个最重要的作用就是: 让程序告诉用户一些事情,这些事情一般是开发...
  • throwthrow是区别

    2016-10-18 12:33:00
    throw和throws的区别 相同:都是用于做异常的抛出处理的。 不同点: 使用的位置: throws 使用在函数上,throw使用在函数内 后面接受的内容的个数不同: throws 后跟的是异常类,可以跟多个,用逗号隔开。 ...
  • Throw 语句

    2019-09-24 07:07:52
    throw 语句允许我们创建自定义错误。 正确的技术术语是:创建或抛出异常(exception)。 如果把 throw 与 try 和 catch 一起使用,那么您能够控制程序流,并生成自定义的错误消息。 转载于:...
  • java throw

    千次阅读 2019-07-04 14:14:00
    throw抛出的是Runtime异常: 程序可以显示使用try...catch来捕获并处理,也可以不管,直接交给方法调用者处理; 若throw抛出Checked异常: 要么放在try里自己处理,要么放在一个throws声明的方法里面,交给调用...
  • throw Exception

    千次阅读 2018-11-09 09:32:38
    public class ExceptionTest { public static void main(String[] args){ try{ throwException(); System.out.println("throw 后面");//此处不会打印 }catch (Exception e){ ...
  • 第四种:经过对异常重新包装,但是会保留原始异常点信息。推荐使用。 try { } catch (Exception ex) { throw new Exception("经过进一步包装的异常", ex); } C#使用throwthrow ex的区别
  • THROW': macro redefinition 1>c:\program files (x86)\microsoft visual studio\2017\professional\vc\tools\msvc\14.16.27023\atlmfc\include\afx.h(858): note: see previous definition of 'THROW&#...
  • throw 语句

    2016-11-08 20:05:00
    我们也可以写代码来抛出异常,抛出异常的语句时throw,其格式如下: throw 异常类的对象名 用throw抛出异常,一般放在方法内部。一个程序可以有多个throwthrow语句执行时,其后面的代码不再执行,程序转到异常...
  • throw 和 throws 的区别?

    万次阅读 多人点赞 2019-05-30 10:02:58
    throw 和 throws 的区别? throw: 表示方法内抛出某种异常对象 如果异常对象是非 RuntimeException 则需要在方法申明时加上该异常的抛出 即需要加上 throws 语句 或者 在方法体内 try catch 处理该异常,否则...
  • throw throws

    2019-03-25 21:42:28
    异常 erorr 虚拟机中的错误 ,我们管不了 excption: 编译时异常:Excption 运行时异常:RuntimeExcption; ...throw关键字 在方法体内抛出异常类 ...如果方法内通过throw抛出了编译时异常,而没有捕获处理,那...
  • Difference: throw or throw ex? 主要区别在于throw出的堆栈详细程度。 throw ex只是抛出在当前代码处的错误。 throw 能够更进一步,抛出内部调用的具体错误。 Just for demonstrating, if you have classes in C#as...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 89,755
精华内容 35,902
关键字:

throw